Name:		algobox
Version:	0.9
Release:	%mkrel 4
Summary:	Algorithmic software
License:	GPLv2
Group:		Education
Url:		http://www.xm1math.net/algobox/
Source:		http://www.xm1math.net/algobox/%{name}-%{version}.tar.bz2
Patch0:		algobox-0.8-mga-fix-desktop.patch

BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(Qt5WebKitWidgets)

%description
Algobox is an initiation software to algorithmic to high school level.


%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 %{name}.pro
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp ./utilities/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc ./utilities/{AUTHORS,COPYING,CHANGELOG.txt}
%dir %{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.9-4.mga6
+ Revision: 936769
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9-3.mga5
+ Revision: 749370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9-2.mga5
+ Revision: 677733
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 daviddavid <daviddavid> 0.9-1.mga5
+ Revision: 669060
- new version: 0.9

* Thu Feb 20 2014 david-david <david-david> 0.8-2.mga5
+ Revision: 595177
- switch to Qt5 builder (source package allows it)
- add BR (Qt5WebKitWidgets)

* Tue Feb 18 2014 david-david <david-david> 0.8-1.mga5
+ Revision: 594440
- imported package algobox

